Page MenuHomePhabricator

enforce group-writeable in stat1002:/a/aggregate-datasets/, stat1003:/a/public-datasets/, and stat1003:/a/limn-public-data {hawk} [3 pts]
Closed, ResolvedPublic

Description

Files created by one user in stat1002:/a/aggregate-datasets/, stat1003:/a/limn-public-data, and stat1003:/a/public-datasets can't necessarily be edited by others. The more data collection processes we set up the higher the possibility that ownership will change and need a seamless switchover. We need files created in that directory to be group-writeable by default.

Event Timeline

Ironholds created this task.Sep 9 2015, 3:03 PM
Ironholds raised the priority of this task from to Needs Triage.
Ironholds updated the task description. (Show Details)
Ironholds added a project: Analytics-Backlog.
Ironholds added a subscriber: Ironholds.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2015, 3:03 PM
Ironholds renamed this task from Give /aggregate-datasets/ on stat1002 open permissions to enforce group-writeable in stat1002:/a/aggregate-datasets/ and stat1003:/a/public-datasets/.Sep 9 2015, 3:30 PM
Ironholds assigned this task to Ottomata.
Ironholds updated the task description. (Show Details)
Ironholds edited projects, added Analytics-Kanban; removed Analytics-Backlog.
Ironholds set Security to None.
kevinator renamed this task from enforce group-writeable in stat1002:/a/aggregate-datasets/ and stat1003:/a/public-datasets/ to enforce group-writeable in stat1002:/a/aggregate-datasets/ and stat1003:/a/public-datasets/ {hawk} [3 pts].Sep 21 2015, 4:19 PM
Milimetric renamed this task from enforce group-writeable in stat1002:/a/aggregate-datasets/ and stat1003:/a/public-datasets/ {hawk} [3 pts] to enforce group-writeable in stat1002:/a/aggregate-datasets/, stat1003:/a/public-datasets/, and stat1003:/a/limn-public-data {hawk} [3 pts].Sep 21 2015, 4:20 PM
Milimetric updated the task description. (Show Details)

Change 240114 had a related patch set uploaded (by Ottomata):
Set umask to 0002 for wikidev users on stat boxes

https://gerrit.wikimedia.org/r/240114

Change 240114 merged by Ottomata:
Set umask to 0002 for wikidev users on stat boxes

https://gerrit.wikimedia.org/r/240114

Ottomata moved this task from Next Up to Done on the Analytics-Kanban board.Sep 22 2015, 3:32 PM
kevinator closed this task as Resolved.Sep 22 2015, 4:10 PM
kevinator added a subscriber: kevinator.